﻿/******************************************************************************/
/*                                                                            */
/*           SAS Program to Score the ICCS 2022 International Items           */
/*                                                                            */
/******************************************************************************/

* This syntax recodes the original student responses into item scores. Omitted items are scored as zero ;
* Items that were not administered to a student receive code 8. The new, scored variable names end with "_R" ;

* Specify the path for the SAS data files following the format x:\xxx\ ;
* <path> must be edited ;

LIBNAME test "<path>" ;

* Specify the country (e.g. 3-character alphanumeric country code);
* <Country> must be edited ;

data test.ISA<Country>C4_SCR;
 set test.ISA<Country>C4;

* CI4ZHC1_REC;
  CI4ZHC1_REC=.;
  if CI4ZHC1=0 then CI4ZHC1_REC=0;
  if CI4ZHC1=1 or CI4ZHC1=2 then CI4ZHC1_REC=1;
  if CI4ZHC1=3 then CI4ZHC1_REC=2;
  if CI4ZHC1<0 then CI4ZHC1_REC=CI4ZHC1;
 
* CI4ZHL2_REC;
  CI4ZHL2_REC=.;
  CI4ZHL2_TMP=.;
  
  if CI4ZHL2S=.R then CI4ZHL2S=6; if CI4ZHL2S=.A then CI4ZHL2S=8; if CI4ZHL2S=. then CI4ZHL2S=9;
  if CI4ZHL2M=.R then CI4ZHL2M=6; if CI4ZHL2M=.A then CI4ZHL2M=8; if CI4ZHL2M=. then CI4ZHL2M=9;
  if CI4ZHL2A=.R then CI4ZHL2A=6; if CI4ZHL2A=.A then CI4ZHL2A=8; if CI4ZHL2A=. then CI4ZHL2A=9;
  
  CI4ZHL2_TMP=CI4ZHL2S*100+ CI4ZHL2M*10 + CI4ZHL2A;
  if CI4ZHL2_TMP=0 then CI4ZHL2_REC=0;
  if CI4ZHL2_TMP=1 then CI4ZHL2_REC=0;
  if CI4ZHL2_TMP=2 then CI4ZHL2_REC=0;
  if CI4ZHL2_TMP=10 then CI4ZHL2_REC=0;
  if CI4ZHL2_TMP=11 then CI4ZHL2_REC=0;
  if CI4ZHL2_TMP=20 then CI4ZHL2_REC=0;
  if CI4ZHL2_TMP=100 then CI4ZHL2_REC=0;
  if CI4ZHL2_TMP=101 then CI4ZHL2_REC=0;
  if CI4ZHL2_TMP=102 then CI4ZHL2_REC=1;
  if CI4ZHL2_TMP=110 then CI4ZHL2_REC=0;
  if CI4ZHL2_TMP=111 then CI4ZHL2_REC=1;
  if CI4ZHL2_TMP=112 then CI4ZHL2_REC=2;
  if CI4ZHL2_TMP=120 then CI4ZHL2_REC=1;
  if CI4ZHL2_TMP=121 then CI4ZHL2_REC=2;
  if CI4ZHL2_TMP=122 then CI4ZHL2_REC=2;
  if CI4ZHL2_TMP=200 then CI4ZHL2_REC=0;
  if CI4ZHL2_TMP=201 then CI4ZHL2_REC=2;
  if CI4ZHL2_TMP=202 then CI4ZHL2_REC=2;
  if CI4ZHL2_TMP=210 then CI4ZHL2_REC=2;
  if CI4ZHL2_TMP=211 then CI4ZHL2_REC=2;
  if CI4ZHL2_TMP=212 then CI4ZHL2_REC=2;
  if CI4ZHL2_TMP=220 then CI4ZHL2_REC=2;
  if CI4ZHL2_TMP=221 then CI4ZHL2_REC=2;
  if CI4ZHL2_TMP=222 then CI4ZHL2_REC=3;
  if CI4ZHL2_TMP=666 then CI4ZHL2_REC=.R;
  if CI4ZHL2_TMP=888 then CI4ZHL2_REC=.A;
  if CI4ZHL2_TMP=966 then CI4ZHL2_REC=.;
  if CI4ZHL2_TMP=999 then CI4ZHL2_REC=.;
  
  if CI4ZHL2S=6 then CI4ZHL2S=.R; if CI4ZHL2S=8 then CI4ZHL2S=.A; if CI4ZHL2S=9 then CI4ZHL2S=.;
  if CI4ZHL2M=6 then CI4ZHL2M=.R; if CI4ZHL2M=8 then CI4ZHL2M=.A; if CI4ZHL2M=9 then CI4ZHL2M=.;
  if CI4ZHL2A=6 then CI4ZHL2A=.R; if CI4ZHL2A=8 then CI4ZHL2A=.A; if CI4ZHL2A=9 then CI4ZHL2A=.;

  drop CI4ZHL2_TMP;
  
  
* CI4ZEC2_REC;
  CI4ZEC2_REC=.;
  if CI4ZEC2=0 or CI4ZEC2=1 then CI4ZEC2_REC=0;
  if CI4ZEC2=2 then CI4ZEC2_REC=1;
  if CI4ZEC2<0 then CI4ZEC2_REC=CI4ZEC2;

 
* CI4ZED3L_REC;
  CI4ZED3L_REC=.;
  if (CI4ZED3L>=2 and CI4ZED3L<=7) then CI4ZED3L_REC=0;
  if (CI4ZED3L=8 or CI4ZED3L=9) then CI4ZED3L_REC=1;
  if (CI4ZED3L=10 or CI4ZED3L=12) then CI4ZED3L_REC=2;
  if CI4ZED3L<0 then CI4ZED3L_REC=CI4ZHC1;

 
* CI4ZSL3_REC;
  CI4ZSL3_REC=.;
  CI4ZSL3_TMP=.;
  
  if CI4ZSL3I=.R then CI4ZSL3I=6; if CI4ZSL3I=.A then CI4ZSL3I=8; if CI4ZSL3I=. then CI4ZSL3I=9;
  if CI4ZSL3P=.R then CI4ZSL3P=6; if CI4ZSL3P=.A then CI4ZSL3P=8; if CI4ZSL3P=. then CI4ZSL3P=9;
  if CI4ZSL3L=.R then CI4ZSL3L=6; if CI4ZSL3L=.A then CI4ZSL3L=8; if CI4ZSL3L=. then CI4ZSL3L=9;
  
  CI4ZSL3_TMP=CI4ZSL3I*100+ CI4ZSL3P*10 + CI4ZSL3L;
  
  if CI4ZSL3_TMP=0 then CI4ZSL3_REC=0;
  if CI4ZSL3_TMP=1 then CI4ZSL3_REC=0;
  if CI4ZSL3_TMP=9 then CI4ZSL3_REC=.;
  if CI4ZSL3_TMP=10 then CI4ZSL3_REC=0;
  if CI4ZSL3_TMP=11 then CI4ZSL3_REC=1;
  if CI4ZSL3_TMP=19 then CI4ZSL3_REC=0;
  if CI4ZSL3_TMP=90 then CI4ZSL3_REC=0;
  if CI4ZSL3_TMP=91 then CI4ZSL3_REC=0;
  if CI4ZSL3_TMP=96 then CI4ZSL3_REC=.;
  if CI4ZSL3_TMP=99 then CI4ZSL3_REC=.;
  if CI4ZSL3_TMP=100 then CI4ZSL3_REC=0;
  if CI4ZSL3_TMP=101 then CI4ZSL3_REC=0;
  if CI4ZSL3_TMP=109 then CI4ZSL3_REC=0;
  if CI4ZSL3_TMP=110 then CI4ZSL3_REC=1;
  if CI4ZSL3_TMP=111 then CI4ZSL3_REC=2;
  if CI4ZSL3_TMP=119 then CI4ZSL3_REC=0;
  if CI4ZSL3_TMP=190 then CI4ZSL3_REC=0;
  if CI4ZSL3_TMP=191 then CI4ZSL3_REC=0;
  if CI4ZSL3_TMP=196 then CI4ZSL3_REC=0;
  if CI4ZSL3_TMP=199 then CI4ZSL3_REC=0;
  if CI4ZSL3_TMP=666 then CI4ZSL3_REC=.R;
  if CI4ZSL3_TMP=888 then CI4ZSL3_REC=.A;
  if CI4ZSL3_TMP=900 then CI4ZSL3_REC=0;
  if CI4ZSL3_TMP=901 then CI4ZSL3_REC=0;
  if CI4ZSL3_TMP=909 then CI4ZSL3_REC=0;
  if CI4ZSL3_TMP=911 then CI4ZSL3_REC=1;
  if CI4ZSL3_TMP=910 then CI4ZSL3_REC=0;
  if CI4ZSL3_TMP=919 then CI4ZSL3_REC=0;
  if CI4ZSL3_TMP=966 then CI4ZSL3_REC=.;
  if CI4ZSL3_TMP=990 then CI4ZSL3_REC=0;
  if CI4ZSL3_TMP=991 then CI4ZSL3_REC=0;
  if CI4ZSL3_TMP=999 then CI4ZSL3_REC=.;
  
  if CI4ZSL3I=6 then CI4ZSL3I=.R; if CI4ZSL3I=8 then CI4ZSL3I=.A; if CI4ZSL3I=9 then CI4ZSL3I=.;
  if CI4ZSL3P=6 then CI4ZSL3P=.R; if CI4ZSL3P=8 then CI4ZSL3P=.A; if CI4ZSL3P=9 then CI4ZSL3P=.;
  if CI4ZSL3L=6 then CI4ZSL3L=.R; if CI4ZSL3L=8 then CI4ZSL3L=.A; if CI4ZSL3L=9 then CI4ZSL3L=.;

  drop CI4ZSL3_TMP;
  

format CI4RFM1_R CI2FSM1_R CI4TDM1_R CI2PGM1_R CI2PGM2_R CI4NDM1_R CI2BPM1_R CI2BPM2_R 
CI4OCM1_R CI4OCM2_R CI4NTM1_R CI3PLM1_R CI4ECM1_R CI4ECM2_R CI4ECM3_R CI2FDM1_R 
CI2RCM1_R CI4TXM1_R CI4VRM1_R CI4VRM2_R CI3IVM1_R CI4PRM1_R CI2PRM1_R CI3CAM1_R 
CI4DDM1_R CI4DDM2_R CI3LPM1_R CI4LEM1_R CI4LEM2_R CI3CSM1_R CI312M1_R CI4SSM1_R 
CI3PAM1_R CI3ULM1_R CI4MWM1_R CI4MWM2_R CI4MWM3_R CI4NWM1_R CI4NWM2_R CI3DDM1_R 
CI3GMM1_R CI4IPM1_R CI3NPM1_R CI3MAM1_R CI4ERM1_R CI4GLM1_R CI4GCM1_R CI2GLM1_R 
CI2GLM2_R CI3SCM1_R CI4EAM1_R CI4INM1_R CI2ASM1_R CI2ASM2_R CI3UHM1_R CI4CFM1_R 
CI4PDM1_R CI4PDM2_R CI4FRM1_R CI4RCM1_R CI3VGM1_R CI4NHM1_R CI4DCM1_R CI4SLM1_R 
CI314M1_R CI2CEM1_R CI2CEM2_R CI3EPM1_R CI4CZM1_R CI2ORM1_R CI3LSM1_R CI3SDM1_R 
CI4JCM1_R CI4JCM2_R CI4PIM1_R CI4RPM1_R CI4EDM1_R CI3PEM1_R CI3LTM1_R CI3IEM1_R 
CI4FTM1_R CI3MDM1_R CI2CNM1_R CI2CNM2_R CI4FFM1_R CI4SWM1_R CI4SCM1_R CI4UWM1_R 
CI4ZHM5_R CI4ZEM1_R CI4ZSM1_R CI3NPM2_R CI4JSM1_R CI4JSM2_R CI4SDM1_R CI4SDM2_R 
CI4SDM3_R CI2ECM1_R CI2ECM2_R CI308M1_R CI4SJM1_R CI3RRM1_R CI2REM2_R CI2REM3_R 
CI4REM1_R CI4FKM2_R CI2CCM1_R CI2CCM2_R CI4EPM1_R CI4EPM2_R CI4FWC2_R CI4DVC1_R 
CI2WFO2_R CI3PRO1_R CI4FKC1_R CI3CPO1_R CI4EDC2_R CI4SLC3_R CI4SLC4_R CI3CPO2_R 
CI2WFO1_R CI4NHC2_R CI4ZEC4_R CI4ZEC5_R CI2BIO1_R CI4ZSD2_R CI4ZSC4_R CI4ZHC3_R 
CI4ZHC4_R CI4ZSC5N_R CI4ZSC5Y_R CI4ZHL2_R CI4ZHC1_R CI4ZSL3_R CI4ZEC2_R CI4ZED3L_R   1.0;

array items{*} CI4RFM1 CI2FSM1 CI4TDM1 CI2PGM1 CI2PGM2 CI4NDM1 CI2BPM1 CI2BPM2 CI4OCM1 CI4OCM2 
CI4NTM1 CI3PLM1 CI4ECM1 CI4ECM2 CI4ECM3 CI2FDM1 CI2RCM1 CI4TXM1 CI4VRM1 CI4VRM2 
CI3IVM1 CI4PRM1 CI2PRM1 CI3CAM1 CI4DDM1 CI4DDM2 CI3LPM1 CI4LEM1 CI4LEM2 CI3CSM1 
CI312M1 CI4SSM1 CI3PAM1 CI3ULM1 CI4MWM1 CI4MWM2 CI4MWM3 CI4NWM1 CI4NWM2 CI3DDM1 
CI3GMM1 CI4IPM1 CI3NPM1 CI3MAM1 CI4ERM1 CI4GLM1 CI4GCM1 CI2GLM1 CI2GLM2 CI3SCM1 
CI4EAM1 CI4INM1 CI2ASM1 CI2ASM2 CI3UHM1 CI4CFM1 CI4PDM1 CI4PDM2 CI4FRM1 CI4RCM1 
CI3VGM1 CI4NHM1 CI4DCM1 CI4SLM1 CI314M1 CI2CEM1 CI2CEM2 CI3EPM1 CI4CZM1 CI2ORM1 
CI3LSM1 CI3SDM1 CI4JCM1 CI4JCM2 CI4PIM1 CI4RPM1 CI4EDM1 CI3PEM1 CI3LTM1 CI3IEM1 
CI4FTM1 CI3MDM1 CI2CNM1 CI2CNM2 CI4FFM1 CI4SWM1 CI4SCM1 CI4UWM1 CI4ZHM5 CI4ZEM1 
CI4ZSM1 CI3NPM2 CI4JSM1 CI4JSM2 CI4SDM1 CI4SDM2 CI4SDM3 CI2ECM1 CI2ECM2 CI308M1 
CI4SJM1 CI3RRM1 CI2REM2 CI2REM3 CI4REM1 CI4FKM2 CI2CCM1 CI2CCM2 CI4EPM1 CI4EPM2 
CI4FWC2 CI4DVC1 CI2WFO2 CI3PRO1 CI4FKC1 CI3CPO1 CI4EDC2 CI4SLC3 CI4SLC4 CI3CPO2 
CI2WFO1 CI4NHC2 CI4ZEC4 CI4ZEC5 CI2BIO1 CI4ZSD2 CI4ZSC4 CI4ZHC3 CI4ZHC4 CI4ZSC5N   
CI4ZSC5Y CI4ZHL2_R CI4ZHC1_R CI4ZSL3_R CI4ZEC2_R CI4ZED3L_R;

array Ritems{*} CI4RFM1_R CI2FSM1_R CI4TDM1_R CI2PGM1_R CI2PGM2_R CI4NDM1_R CI2BPM1_R CI2BPM2_R 
CI4OCM1_R CI4OCM2_R CI4NTM1_R CI3PLM1_R CI4ECM1_R CI4ECM2_R CI4ECM3_R CI2FDM1_R 
CI2RCM1_R CI4TXM1_R CI4VRM1_R CI4VRM2_R CI3IVM1_R CI4PRM1_R CI2PRM1_R CI3CAM1_R 
CI4DDM1_R CI4DDM2_R CI3LPM1_R CI4LEM1_R CI4LEM2_R CI3CSM1_R CI312M1_R CI4SSM1_R 
CI3PAM1_R CI3ULM1_R CI4MWM1_R CI4MWM2_R CI4MWM3_R CI4NWM1_R CI4NWM2_R CI3DDM1_R 
CI3GMM1_R CI4IPM1_R CI3NPM1_R CI3MAM1_R CI4ERM1_R CI4GLM1_R CI4GCM1_R CI2GLM1_R 
CI2GLM2_R CI3SCM1_R CI4EAM1_R CI4INM1_R CI2ASM1_R CI2ASM2_R CI3UHM1_R CI4CFM1_R 
CI4PDM1_R CI4PDM2_R CI4FRM1_R CI4RCM1_R CI3VGM1_R CI4NHM1_R CI4DCM1_R CI4SLM1_R 
CI314M1_R CI2CEM1_R CI2CEM2_R CI3EPM1_R CI4CZM1_R CI2ORM1_R CI3LSM1_R CI3SDM1_R 
CI4JCM1_R CI4JCM2_R CI4PIM1_R CI4RPM1_R CI4EDM1_R CI3PEM1_R CI3LTM1_R CI3IEM1_R 
CI4FTM1_R CI3MDM1_R CI2CNM1_R CI2CNM2_R CI4FFM1_R CI4SWM1_R CI4SCM1_R CI4UWM1_R 
CI4ZHM5_R CI4ZEM1_R CI4ZSM1_R CI3NPM2_R CI4JSM1_R CI4JSM2_R CI4SDM1_R CI4SDM2_R 
CI4SDM3_R CI2ECM1_R CI2ECM2_R CI308M1_R CI4SJM1_R CI3RRM1_R CI2REM2_R CI2REM3_R 
CI4REM1_R CI4FKM2_R CI2CCM1_R CI2CCM2_R CI4EPM1_R CI4EPM2_R CI4FWC2_R CI4DVC1_R 
CI2WFO2_R CI3PRO1_R CI4FKC1_R CI3CPO1_R CI4EDC2_R CI4SLC3_R CI4SLC4_R CI3CPO2_R 
CI2WFO1_R CI4NHC2_R CI4ZEC4_R CI4ZEC5_R CI2BIO1_R CI4ZSD2_R CI4ZSC4_R CI4ZHC3_R 
CI4ZHC4_R CI4ZSC5N_R CI4ZSC5Y_R CI4ZHL2_R CI4ZHC1_R CI4ZSL3_R CI4ZEC2_R CI4ZED3L_R ;

do i=1 to dim(items);
 Ritems{i}=0;
 if items{i}=".A" then Ritems{i}=.A;
end;

  if CI4RFM1="3" then CI4RFM1_R = 1;
  if CI2FSM1="1" then CI2FSM1_R = 1;
  if CI4TDM1="2" then CI4TDM1_R = 1;
  if CI2PGM1="3" then CI2PGM1_R = 1;
  if CI2PGM2="4" then CI2PGM2_R = 1;
  if CI4NDM1="1" then CI4NDM1_R = 1;
  if CI2BPM1="2" then CI2BPM1_R = 1;
  if CI2BPM2="3" then CI2BPM2_R = 1;
  if CI4OCM1="4" then CI4OCM1_R = 1;
  if CI4OCM2="1" then CI4OCM2_R = 1;
  if CI4NTM1="4" then CI4NTM1_R = 1;
  if CI3PLM1="2" then CI3PLM1_R = 1;
  if CI4ECM1="1" then CI4ECM1_R = 1;
  if CI4ECM2="2" then CI4ECM2_R = 1;
  if CI4ECM3="1" then CI4ECM3_R = 1;
  if CI2FDM1="4" then CI2FDM1_R = 1;
  if CI2RCM1="4" then CI2RCM1_R = 1;
  if CI4TXM1="3" then CI4TXM1_R = 1;
  if CI4VRM1="3" then CI4VRM1_R = 1;
  if CI4VRM2="3" then CI4VRM2_R = 1;
  if CI3IVM1="1" then CI3IVM1_R = 1;
  if CI4PRM1="3" then CI4PRM1_R = 1;
  if CI2PRM1="4" then CI2PRM1_R = 1;
  if CI3CAM1="3" then CI3CAM1_R = 1;
  if CI4DDM1="2" then CI4DDM1_R = 1;
  if CI4DDM2="1" then CI4DDM2_R = 1;
  if CI3LPM1="4" then CI3LPM1_R = 1;
  if CI4LEM1="2" then CI4LEM1_R = 1;
  if CI4LEM2="3" then CI4LEM2_R = 1;
  if CI3CSM1="1" then CI3CSM1_R = 1;
  if CI312M1="4" then CI312M1_R = 1;
  if CI4SSM1="1" then CI4SSM1_R = 1;
  if CI3PAM1="4" then CI3PAM1_R = 1;
  if CI3ULM1="1" then CI3ULM1_R = 1;
  if CI4MWM1="3" then CI4MWM1_R = 1;
  if CI4MWM2="4" then CI4MWM2_R = 1;
  if CI4MWM3="4" then CI4MWM3_R = 1;
  if CI4NWM1="1" then CI4NWM1_R = 1;
  if CI4NWM2="2" then CI4NWM2_R = 1;
  if CI3DDM1="3" then CI3DDM1_R = 1;
  if CI3GMM1="2" then CI3GMM1_R = 1;
  if CI4IPM1="1" then CI4IPM1_R = 1;
  if CI3NPM1="1" then CI3NPM1_R = 1;
  if CI3MAM1="3" then CI3MAM1_R = 1;
  if CI4ERM1="4" then CI4ERM1_R = 1;
  if CI4GLM1="3" then CI4GLM1_R = 1;
  if CI4GCM1="4" then CI4GCM1_R = 1;
  if CI2GLM1="2" then CI2GLM1_R = 1;
  if CI2GLM2="1" then CI2GLM2_R = 1;
  if CI3SCM1="2" then CI3SCM1_R = 1;
  if CI4EAM1="3" then CI4EAM1_R = 1;
  if CI4INM1="2" then CI4INM1_R = 1;
  if CI2ASM1="4" then CI2ASM1_R = 1;
  if CI2ASM2="2" then CI2ASM2_R = 1;
  if CI3UHM1="1" then CI3UHM1_R = 1;
  if CI4CFM1="1" then CI4CFM1_R = 1;
  if CI4PDM1="4" then CI4PDM1_R = 1;
  if CI4PDM2="3" then CI4PDM2_R = 1;
  if CI4FRM1="1" then CI4FRM1_R = 1;
  if CI4RCM1="3" then CI4RCM1_R = 1;
  if CI3VGM1="3" then CI3VGM1_R = 1;
  if CI4NHM1="2" then CI4NHM1_R = 1;
  if CI4DCM1="4" then CI4DCM1_R = 1;
  if CI4SLM1="2" then CI4SLM1_R = 1;
  if CI314M1="1" then CI314M1_R = 1;
  if CI2CEM1="3" then CI2CEM1_R = 1;
  if CI2CEM2="4" then CI2CEM2_R = 1;
  if CI3EPM1="1" then CI3EPM1_R = 1;
  if CI4CZM1="4" then CI4CZM1_R = 1;
  if CI2ORM1="3" then CI2ORM1_R = 1;
  if CI3LSM1="2" then CI3LSM1_R = 1;
  if CI3SDM1="3" then CI3SDM1_R = 1;
  if CI4JCM1="2" then CI4JCM1_R = 1;
  if CI4JCM2="4" then CI4JCM2_R = 1;
  if CI4PIM1="3" then CI4PIM1_R = 1;
  if CI4RPM1="1" then CI4RPM1_R = 1;
  if CI4EDM1="1" then CI4EDM1_R = 1;
  if CI3PEM1="2" then CI3PEM1_R = 1;
  if CI3LTM1="4" then CI3LTM1_R = 1;
  if CI3IEM1="3" then CI3IEM1_R = 1;
  if CI4FTM1="1" then CI4FTM1_R = 1;
  if CI3MDM1="4" then CI3MDM1_R = 1;
  if CI2CNM1="1" then CI2CNM1_R = 1;
  if CI2CNM2="2" then CI2CNM2_R = 1;
  if CI4FFM1="2" then CI4FFM1_R = 1;
  if CI4SWM1="3" then CI4SWM1_R = 1;
  if CI4SCM1="3" then CI4SCM1_R = 1;
  if CI4UWM1="4" then CI4UWM1_R = 1;
  if CI4ZHM5="2" then CI4ZHM5_R = 1;
  if CI4ZEM1="2" then CI4ZEM1_R = 1;
  if CI4ZSM1="3" then CI4ZSM1_R = 1;
  if CI3NPM2="2" then CI3NPM2_R = 1;
  if CI4JSM1="2" then CI4JSM1_R = 1;
  if CI4JSM2="4" then CI4JSM2_R = 1;
  if CI4SDM1="1" then CI4SDM1_R = 1;
  if CI4SDM2="3" then CI4SDM2_R = 1;
  if CI4SDM3="2" then CI4SDM3_R = 1;
  if CI2ECM1="4" then CI2ECM1_R = 1;
  if CI2ECM2="1" then CI2ECM2_R = 1;
  if CI308M1="1" then CI308M1_R = 1;
  if CI4SJM1="4" then CI4SJM1_R = 1;
  if CI3RRM1="2" then CI3RRM1_R = 1;
  if CI2REM2="3" then CI2REM2_R = 1;
  if CI2REM3="4" then CI2REM3_R = 1;
  if CI4REM1="4" then CI4REM1_R = 1;
  if CI4FKM2="1" then CI4FKM2_R = 1;
  if CI2CCM1="2" then CI2CCM1_R = 1;
  if CI2CCM2="2" then CI2CCM2_R = 1;
  if CI4EPM1="3" then CI4EPM1_R = 1;
  if CI4EPM2="4" then CI4EPM2_R = 1;

  if CI4ZED3L_REC="1" then CI4ZED3L_R=1; if CI4ZED3L_REC="2" then CI4ZED3L_R=2;
  if CI4ZHC1_REC ="1" then CI4ZHC1_R =1; if CI4ZHC1_REC ="2" then CI4ZHC1_R =2;
  if CI4ZHL2_REC ="1" then CI4ZHL2_R =1; if CI4ZHL2_REC ="2" then CI4ZHL2_R =2; if CI4ZHL2_REC ="3" then CI4ZHL2_R =3;
  if CI4ZEC2_REC ="1" then CI4ZEC2_R =1; if CI4ZEC2_REC ="2" then CI4ZEC2_R =2;
  if CI4ZSL3_REC ="1" then CI4ZSL3_R =1; if CI4ZSL3_REC ="2" then CI4ZSL3_R =2;
  if CI4SLC3 ="1" then CI4SLC3_R =1; if CI4SLC3 ="2" then CI4SLC3_R =2;
  if CI4SLC4 ="1" then CI4SLC4_R =1; if CI4SLC4 ="2" then CI4SLC4_R =2;
  if CI4EDC2 ="1" then CI4EDC2_R =1; if CI4EDC2 ="2" then CI4EDC2_R =2;
  if CI4NHC2 ="1" then CI4NHC2_R =1; if CI4NHC2 ="2" then CI4NHC2_R =2;
  if CI2WFO1 ="1" then CI2WFO1_R =1; if CI2WFO1 ="2" then CI2WFO1_R =2;
  if CI4DVC1 ="1" then CI4DVC1_R =1; if CI4DVC1 ="2" then CI4DVC1_R =2;
  if CI4ZHC3 ="1" then CI4ZHC3_R =1; if CI4ZHC3 ="2" then CI4ZHC3_R =2;
  if CI4ZHC4 ="1" then CI4ZHC4_R =1; if CI4ZHC4 ="2" then CI4ZHC4_R =2;
  if CI4FWC2 ="1" then CI4FWC2_R =1; if CI4FWC2 ="2" then CI4FWC2_R =2;
  if CI2BIO1 ="1" then CI2BIO1_R =1; if CI2BIO1 ="2" then CI2BIO1_R =2;
  if CI4ZEC4 ="1" then CI4ZEC4_R =1; if CI4ZEC4 ="2" then CI4ZEC4_R =2;
  if CI4ZEC5 ="1" then CI4ZEC5_R =1; if CI4ZEC5 ="2" then CI4ZEC5_R =2;
  if CI4FKC1 ="1" then CI4FKC1_R =1; if CI4FKC1 ="2" then CI4FKC1_R =2;
  if CI4ZSD2 ="1" then CI4ZSD2_R =1; if CI4ZSD2 ="2" then CI4ZSD2_R =2;
  if CI3CPO1 ="1" then CI3CPO1_R =1; if CI3CPO1 ="2" then CI3CPO1_R =2;
  if CI3PRO1 ="1" then CI3PRO1_R =1; if CI3PRO1 ="2" then CI3PRO1_R =2;
  if CI3CPO2 ="1" then CI3CPO2_R =1; if CI3CPO2 ="2" then CI3CPO2_R =2;
  if CI2WFO2 ="1" then CI2WFO2_R =1; if CI2WFO2 ="2" then CI2WFO2_R =2;
  if CI4ZSC4 ="1" then CI4ZSC4_R =1; if CI4ZSC4 ="2" then CI4ZSC4_R =2;
  if CI4ZSC5N="1" then CI4ZSC5N_R=1; if CI4ZSC5N="2" then CI4ZSC5N_R=2; 
  if CI4ZSC5Y="1" then CI4ZSC5Y_R=1; if CI4ZSC5Y="2" then CI4ZSC5Y_R=2;

	drop i;
run;
